import 'dart:io';

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

const kTabletSize = Size(500, 700);
const kListWidthSize = 300.0;
const kTabletBreakpoint = 720.0;
const kDesktopBreakpoint = 1200.0;

enum DeviceSize { mobile, tablet, desktop }

extension LayoutUtils on BoxConstraints {
  DeviceSize get device {
    if (this.maxWidth >= kDesktopBreakpoint) {
      return DeviceSize.desktop;
    }
    if (this.maxWidth >= kTabletBreakpoint) {
      return DeviceSize.tablet;
    }
    return DeviceSize.mobile;
  }
}

bool get isWeb => kIsWeb;

bool get isMobile => !isWeb && (Platform.isIOS || Platform.isAndroid);

bool get isDesktop =>
    !isWeb && (Platform.isMacOS || Platform.isWindows || Platform.isLinux);

bool get isApple => !isWeb && (Platform.isIOS || Platform.isMacOS);

bool get isGoogle => !isWeb && (Platform.isAndroid || Platform.isFuchsia);

bool get isAndroid => !isWeb && Platform.isAndroid;

bool get isIos => !isWeb && Platform.isIOS;

bool get isLinux => !isWeb && Platform.isLinux;
